use crate::frame::Frame;

pub trait FrameWritable {
    type Error;
    
    fn write_frame(&mut self, frame: &Frame) -> Result<(), Self::Error>;
}

pub trait FrameReadable {
    type Error;
    
    fn read_frame(&mut self) -> Result<Frame, Self::Error>;
}